[ovs-dev] Not able to install openvswitch-kmod for kernel 3.18

Joe Stringer joestringer at nicira.com
Fri Oct 30 16:54:08 UTC 2015


On 30 October 2015 at 09:19,  <ravulakollu.kumar at wipro.com> wrote:
> Hi Team,
>
> I have upgraded my CentOS-7 kernel from 3.10 to 3.18.
> For successfully compiling ovs -2.4 datapath against Linux kernel version 3.18, I have applied the below patch.
> http://openvswitch.org/pipermail/dev/2015-September/060253.html
> Successfully able to compile both datapath and userspace. But able to install userspace utils only, make modules_install is not properly installing in the respective directory.
> Instead it is installing the directories corresponding to old kernel version .So Unable to modprobe it, though I can insmod.
>
> Could anyone, let me know which file I need to change to properly install generated kmodules to latest kernel version

You probably need to reconfigure your source tree to compile against
the new kernel, then make/make modules_install.



More information about the dev mailing list